#[cfg(feature = "angular")]
pub use self::angular::{Angular, Degree, Radiant};
#[cfg(feature = "complex")]
pub use self::complex::Complex;
#[cfg(feature = "matrix")]
pub use self::matrix::{ColumnVector, GenericMatrix, RowVector, SquareMatrix};
#[cfg(feature = "quaternion")]
pub use self::quaternion::Quaternion;

#[cfg(feature = "complex")]
mod complex;
#[cfg(feature = "matrix")]
mod matrix;
#[cfg(feature = "quaternion")]
mod quaternion;
#[cfg(feature = "angular")]
mod angular;
